UiPath Documentation
automation-suite
2.2510
true
Automation Suite API 指南
重要 :
请注意,此内容已使用机器翻译进行了部分本地化。 新发布内容的本地化可能需要 1-2 周的时间才能完成。

删除客户端密码

使用身份 API 删除 Automation Suite 组织中外部 OAuth 客户端的特定客户端密码,包括所需的作用域和响应代码。

删除客户端密码。

API 端点

DELETE https://{yourDomain}/{organizationName}/identity_/api/ExternalClient/{partitionGlobalId}/secrets/{secretId}

作用域

需要以下任一作用域:

  • PM.OAuthApp
  • PM.OAuthApp.Write
  • PM.OAuthAppSecret.Write

请求标头

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:

要获取{access_token} ,请确保通过身份验证方法中描述的其中一种方法进行身份验证。

请求正文

请求正文包含组织 ID 和要删除的客户端密码的 ID。

{
  "partitionGlobalId": "<organizationId>",
  "secretId": "<secretId>"
}
{
  "partitionGlobalId": "<organizationId>",
  "secretId": "<secretId>"
}

响应

204 无内容

已成功删除客户端密码。未返回任何值。

  • API 端点
  • 作用域
  • 请求标头
  • 请求正文
  • 响应
  • 204 无内容

此页面有帮助吗?

连接

需要帮助? 支持

想要了解详细内容? UiPath Academy

有问题? UiPath 论坛

保持更新